#!/bin/sh -efu

a= . install2-init-functions

cat >> $destdir/etc/X11/xdm/GiveConsole <<'__EOF__'
#!/bin/sh
# Assign ownership of the console to the invoking user
# $XConsortium: GiveConsole,v 1.2 93/09/28 14:29:20 gildea Exp $
#
# By convention, both xconsole and xterm -C check that the
# console is owned by the invoking user and is readable before attaching
# the console output.  This way a random user can invoke xterm -C without
# causing serious grief.
#
chown $USER /dev/console
sessreg  -a -w "/var/log/wtmp" -u "/var/run/utmp" \
	-x "/etc/X11/xdm/Xservers" -l $DISPLAY -h "" $USER

/sbin/start-stop-daemon --stop -p /var/run/xdm-buttons.pid

killall -9 conky

__EOF__


cat > $destdir/etc/X11/xdm/Xsetup_0 <<'__EOF__'
#!/bin/sh
# (C) MandrakeSoft
# Chmouel Boudjnah <chmouel@mandrakesoft.com>

# Source function library.
. /etc/init.d/functions

SourceIfNotEmpty /etc/profile.d/kde.sh
SourceIfNotEmpty /etc/sysconfig/xinitrc

/usr/bin/qiv --root_s /etc/X11/xdm/default.jpg

HOME=/ /usr/bin/conky &


pidfile=/var/run/xdm-buttons.pid

/usr/bin/wish <<EOF &
#!/usr/bin/wish

wm geometry . +0-0
button .halt -background #c29e7a -foreground #4a2a10 -highlightbackground #c29e7a -borderwidth 1 -text Shutdown \
-command {exec /sbin/poweroff}
button .reboot -background #c29e7a -foreground #4a2a10 -width 8 -highlightbackground #c29e7a -borderwidth 1 -text   Reboot   \
-command {exec /sbin/reboot}
pack .halt .reboot -side left -fill both
EOF
 
echo $!>$pidfile

exec /usr/bin/conky &

ExecIfExecutable /etc/X11/xinit/fixkeyboard

__EOF__


cat >> $destdir/etc/X11/xdm/xdm-config <<'__EOF__'
! $XConsortium: xdm-conf.cpp /main/3 1996/01/15 15:17:26 gildea $
DisplayManager.errorLogFile:	/var/log/xdm-error.log
DisplayManager.pidFile:		/var/run/xdm.pid
DisplayManager.keyFile:		/etc/X11/xdm/xdm-keys
DisplayManager.servers:		/etc/X11/xdm/Xservers
DisplayManager.accessFile:	/etc/X11/xdm/Xaccess
! All displays should use authorization, but we cannot be sure
! X terminals will be configured that way, so by default
! use authorization only for local displays :0, :1, etc.
DisplayManager._0.authorize:	true
DisplayManager._1.authorize:	true
! The following three resources set up display :0 as the console.
DisplayManager._0.setup:	/etc/X11/xdm/Xsetup_0
DisplayManager._0.startup:	/etc/X11/xdm/GiveConsole
DisplayManager._0.reset:	/etc/X11/xdm/TakeConsole
DisplayManager._0.startAttempts: 3
!
DisplayManager*resources:	/etc/X11/xdm/Xresources
DisplayManager*session:		/etc/X11/Xsession
DisplayManager*authComplain:	false

__EOF__


cat >> $destdir/etc/X11/xdm/Xresources <<'__EOF__'
! $XConsortium: Xresources /main/8 1996/11/11 09:24:46 swick $
xlogin*login.translations: #override\
	Ctrl<Key>R: abort-display()\n\
	<Key>F1: set-session-argument(failsafe) finish-field()\n\
	Ctrl<Key>Return: set-session-argument(failsafe) finish-field()\n\
	<Key>Return: set-session-argument() finish-field()

xlogin.Login.width: 400
xlogin.Login.height: 150

xlogin.Login.allowRootLogin: false

xlogin*greeting: 

xlogin*namePrompt: Login:\040
xlogin*fail: LOGIN INCORRECT!

xlogin.Login.failTimeout: 3

xlogin*logoFileName: /etc/X11/xdm/logo.xpm
xlogin.Login.logoPadding: 3
xlogin*useShape: false
xlogin.Login.sepWidth: 0

xlogin*borderWidth: 0
xlogin*frameWidth: 1
xlogin*innerFramesWidth: 1
xlogin*shdColor: #a28a6e
xlogin*hiColor: #9a8369
xlogin*greetColor: #110f0c
xlogin*failColor: #a80909
xlogin*Foreground: #484033
xlogin*Background: #e1bf99

xlogin*greetFace:       Sans-16:bold
xlogin*face:            Sans-9
xlogin*promptFace:      Sans-10:bold
xlogin*failFace:        Sans-9

Chooser*face:           Sans-10:bold

Xcursor.theme:	jimmac
Xcursor.size: 18

__EOF__
